도메인 이름
GET https://uptime4.com/api/domain-names/
curl --request GET \
--url 'https://uptime4.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열. |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까? 허용되는 값은: name, target. |
| is_enabled | 선택 사항 부울 | |
| project_id | 선택 사항 정수 | |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드. 허용되는 값은: domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime. |
| order_type | 선택 사항 문자열 | 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"project_id": 0,
"name": "AltumCode.Com",
"target": "altumcode.com",
"whois": {
"start_datetime": "2019-12-15 18:03:36",
"updated_datetime": "2020-05-24 15:37:15",
"end_datetime": "2022-12-15 18:03:36",
"registrar": "NAMECHEAP INC",
"nameservers": [
"ns1.digitalocean.com",
"ns2.digitalocean.com",
"ns3.digitalocean.com"
]
},
"whois_notifications": null,
"ssl": {
"organization": "Let's Encrypt",
"common_name": "R3",
"start_datetime": "2021-06-05 14:40:13",
"end_datetime": "2021-09-03 14:40:13"
},
"ssl_notifications": null,
"total_checks": 25,
"last_check_datetime": "2021-07-01 14:42:14",
"next_check_datetime": "2021-07-04 14:42:15",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-21 02:08:48",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/domain-names?page=1",
"last": "https://uptime4.com/api/domain-names?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/domain-names?page=1"
}
}
GET https://uptime4.com/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": 0,
"name": "AltumCode.Com",
"target": "altumcode.com",
"whois": {
"start_datetime": "2019-12-15 18:03:36",
"updated_datetime": "2020-05-24 15:37:15",
"end_datetime": "2022-12-15 18:03:36",
"registrar": "NAMECHEAP INC",
"nameservers": [
"ns1.digitalocean.com",
"ns2.digitalocean.com",
"ns3.digitalocean.com"
]
},
"whois_notifications": null,
"ssl": {
"organization": "Let's Encrypt",
"common_name": "R3",
"start_datetime": "2021-06-05 14:40:13",
"end_datetime": "2021-09-03 14:40:13"
},
"ssl_notifications": null,
"total_checks": 25,
"last_check_datetime": "2021-07-01 14:42:14",
"next_check_datetime": "2021-07-04 14:42:15",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-21 02:08:48",
}
}
POST https://uptime4.com/api/domain-names
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| name | 필수 문자열 | - |
| target | 필수 문자열 | - |
| project_id | 선택 사항 정수 | - |
| whois_notifications | 선택 사항 배열 | 알림 처리기 ID |
| whois_notifications_timing | 선택 사항 정수 | 허용된 값: 1, 2, 3, 7, 14, 30, 60 (일수) |
| ssl_notifications | 선택 사항 배열 | 알림 처리기 ID |
| ssl_notifications_timing | 선택 사항 정수 | 허용된 값: 1, 2, 3, 7, 14, 30, 60 (일수) |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://uptime4.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptime4.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/domain-names/{domain_name_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| name | 선택 사항 문자열 | - |
| target | 선택 사항 문자열 | - |
| project_id | 선택 사항 정수 | - |
| whois_notifications | 선택 사항 배열 | 알림 처리기 ID |
| whois_notifications_timing | 선택 사항 정수 | 허용된 값: 1, 2, 3, 7, 14, 30, 60 (일수) |
| ssl_notifications | 선택 사항 배열 | 알림 처리기 ID |
| ssl_notifications_timing | 선택 사항 정수 | 허용된 값: 1, 2, 3, 7, 14, 30, 60 (일수) |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \